$(document).ready(function () {

    $("#username").keypress(function (e) {
        if (e.which == 13) {
            Login();
        }
    });

    $("#password").keypress(function (e) {
        if (e.which == 13) {
            Login();
        }
    });

    $("#btnLogin").click(function (e) {
        Login();
        return true;
    });

});

let api = "/login";

async function Login() {

    var usuario = $("#username").val().trim();
    var clave = $("#password").val().trim();

    if (usuario == "") {
        MensajeError("Ingrese Username");
        return;
    }

    if (clave == "") {
        MensajeError("Ingrese Password");
        return;
    }

    var dto = { usuario, clave };
    $("#divLoading").show();

    let result = await postData(api, dto);

    $("#divLoading").hide();

    if (result.error) {
        MensajeError(result.error);
        return;
    }

    sessionStorage.setItem("usuario", usuario);
    window.location.href = "/home";
}
